Package org.apache.ignite.internal.util.future

## Class IgniteFinishedFutureImpl<V>

- java.lang.Object
- - org.apache.ignite.internal.util.future.IgniteFutureImpl<V>
  - - org.apache.ignite.internal.util.future.IgniteFinishedFutureImpl<V>

All Implemented Interfaces:
  `IgniteFuture<V>`

    public class IgniteFinishedFutureImpl<V>
    extends IgniteFutureImpl<V>

### Field Summary

### Fields inherited from class org.apache.ignite.internal.util.future.IgniteFutureImpl

`defaultExecutor, fut`

### Constructor Summary

Constructors
`IgniteFinishedFutureImpl()`
`IgniteFinishedFutureImpl​(Throwable err)`
`IgniteFinishedFutureImpl​(V res)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.future.IgniteFutureImpl

`cancel, chain, chainAsync, chainInternal, convertException, get, get, get, internalFuture, isCancelled, isDone, listen, listenAsync`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteFinishedFutureImpl

    public IgniteFinishedFutureImpl()

#### IgniteFinishedFutureImpl

    public IgniteFinishedFutureImpl​(V res)

Parameters:
  `res` - Result.

#### IgniteFinishedFutureImpl

    public IgniteFinishedFutureImpl​(Throwable err)

Parameters:
  `err` - Error.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `IgniteFutureImpl<V>`